package com.gree.mall.miniapp.commonmapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.gree.mall.miniapp.bean.goods.CategoryBean;
import com.gree.mall.miniapp.bean.goods.GoodsFavoriteBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CustomGoodsFavoriteMapper {
    @SqlParser(filter = true)
    List<GoodsFavoriteBean> queryGoodsFavorite(@Param("userId") String userId,@Param("pageNum") Integer pageNum,@Param("pageSize") Integer pageSize);
    @SqlParser(filter = true)
    Integer queryGoodsFavoriteCount(@Param("userId") String userId);
}
